#!/usr/bin/env python

### An auxiliary python script to convert binary
### output files from the first example calculation into ascii
### input files for the second example calculation.
###
### Author: Ondrej Chrenko
### chrenko@sirrah.troja.mff.cuni.cz
### 2017

import numpy as np

### Set the grid parameters
Nrad=1024
Nsec=2
Nsec_hires=1536

### Select the files' id
#nout=0
nout=60

def bin2ascii(filetype):
    outfile = open(filetype + ".cfg", 'w')
    fargogrid1D = np.fromfile("../out_relax2/" + filetype + str(nout) + ".dat", dtype=np.double)
    for i in range (0,Nrad):
        for j in range (0,Nsec): 
            l =  j + i*Nsec
            for k in range (0,Nsec_hires/Nsec):
                outfile.write ("%#.18g\n" % fargogrid1D[l])
    outfile.close()

for filetype in ["gasdens", "gastemper", "gasvrad", "gasvtheta"]:
    bin2ascii(filetype)


